X2Go Bug report logs - #822
x2gomatebindings fails to install from RPM #2

version graph

Package: x2gomatebindings; Maintainer for x2gomatebindings is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gomatebindings is src:x2gomatebindings.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Tue, 17 Mar 2015 12:45:01 UTC

Severity: normal

Tags: pending

Found in version 0.0.1.3

Fixed in version 0.0.1.4

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#822; Package x2gomatebindings. (Tue, 17 Mar 2015 12:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 17 Mar 2015 12:45:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2gomatebindings fails to install from RPM #2
Date: Tue, 17 Mar 2015 08:41:30 -0400
Package: x2gomatebindings
Version: 0.0.1.3

After fixing #821 ("x2gomatebindings fails to install from RPM"), I
discovered that x2gomatebindings will not install on Fedora 21 64-bit
(and presumably every other RPM-based distro) for another reason:
http://pastebin.com/3K7Q8xSr

  file /usr/bin from install of
x2gomatebindings-0.0.1.4-0.0x2go1.0.git20150317.162.heuler.fc21.x86_64
conflicts with file from package filesystem-3.2-28.fc21.x86_64
  file /usr/lib64 from install of
x2gomatebindings-0.0.1.4-0.0x2go1.0.git20150317.162.heuler.fc21.x86_64
conflicts with file from package filesystem-3.2-28.fc21.x86_64
  file /usr/sbin from install of
x2gomatebindings-0.0.1.4-0.0x2go1.0.git20150317.162.heuler.fc21.x86_64
conflicts with file from package filesystem-3.2-28.fc21.x86_64

The problem appears to be in the %files section in x2gomatebindings.spec:
%files
%defattr(-,root,root)
%doc debian/changelog
%doc debian/copyright
%{_sysconfdir}/
%{_bindir}/
%{_sbindir}/
%{_datadir}/
%{_libdir}/


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#822; Package x2gomatebindings. (Tue, 17 Mar 2015 14:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 17 Mar 2015 14:50:02 GMT) (full text, mbox, link).


Message #10 received at 822@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Michael DePaulo <mikedep333@gmail.com>, 822@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#822: x2gomatebindings fails to install from RPM #2
Date: Tue, 17 Mar 2015 15:45:10 +0100
[Message part 1 (text/plain, inline)]
On 17.03.2015 01:41 PM, Michael DePaulo wrote:
> [...]
> The problem appears to be in the %files section in x2gomatebindings.spec:
> %files
> %defattr(-,root,root)
> %doc debian/changelog
> %doc debian/copyright
> %{_sysconfdir}/
> %{_bindir}/
> %{_sbindir}/
> %{_datadir}/
> %{_libdir}/

That's not very nice. I'll fix that up when I get to it. Thanks.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#822; Package x2gomatebindings. (Wed, 18 Mar 2015 05:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 18 Mar 2015 05:05:02 GMT) (full text, mbox, link).


Message #15 received at 822@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 822-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 822@bugs.x2go.org
Subject: X2Go issue (in src:x2gomatebindings) has been marked as pending for release
Date: Wed, 18 Mar 2015 06:03:30 +0100 (CET)
tag #822 pending
fixed #822 0.0.1.4
thanks

Hello,

X2Go issue #822 (src:x2gomatebindings) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gomatebindings.git;a=commitdiff;h=36e4e11

The issue will most likely be fixed in src:x2gomatebindings (0.0.1.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 36e4e1122e412362441c562f6bb1beec06ae185e
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Mar 18 06:03:06 2015 +0100

    x2gomatebindings.spec: only own files, do not blindly own complete (and alien!) directories. Fixes: #822.

diff --git a/debian/changelog b/debian/changelog
index a55765a..669b792 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,8 @@ x2gomatebindings (0.0.1.4-0~x2go1) UNRELEASED; urgency=low
   [ Mihai Moldovan ]
   * x2gomatebindings.spec:
     - Add run and build time dependency: filesystem.
+    - Only own files, do not blindly own complete (and alien!) directories.
+      Fixes: #822.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 10 Feb 2015 23:48:43 +0100
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 18 Mar 2015 05:05:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.0.1.4. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 18 Mar 2015 05:05:03 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#822. (Wed, 18 Mar 2015 05:05:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#822; Package x2gomatebindings. (Sun, 20 Nov 2016 14:55:04 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Nov 2016 14:55:04 GMT) (full text, mbox, link).


Message #27 received at 822@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 822-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 822@bugs.x2go.org
Subject: X2Go issue (in src:x2gomatebindings) has been marked as closed
Date: Sun, 20 Nov 2016 08:20:35 +0100 (CET)
close #822
thanks

Hello,

we are very hopeful that X2Go issue #822 reported by you
has been resolved in the new release (0.0.1.4) of the
X2Go source project »src:x2gomatebindings«.

You can view the complete changelog entry of src:x2gomatebindings (0.0.1.4)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gomatebindings.

    http://code.x2go.org/gitweb?p=x2gomatebindings.git;a=commitdiff;h=f353abe4bbce0a6da150a6fc43bccef14a72e074;hp=803d9f80402ce1dc5e9d4b3830997301c33bbd8f

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gomatebindings.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gomatebindings
Version: 0.0.1.4
Status: RELEASE
Date: Sun, 20 Nov 2016 07:59:36 +0100
Fixes: 821 822 1067
Changes: 
 x2gomatebindings (0.0.1.4) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream version (0.0.1.4):
     - Fix error when installing from an RPM built from the X2Go
       project's .spec file (Fixes: #821):
       "Error: Package: x2gomatebinding ... Requires: or"
 .
   [ Mihai Moldovan ]
   * New upstream version (0.0.1.4):
     - configure.ac: make GTK version selectable.
   * x2gomatebindings.spec:
     - Add run and build time dependency: filesystem.
     - Only own files, do not blindly own complete (and alien!) directories.
       Fixes: #822.
     - Add missing BuildRequires: and Requires: for file and directory owning.
     - Don't depend on x2goserver-extensions on Fedora/EPEL. Remove once Orion
       makes x2goserver also provide x2goserver-extensions.
     - Fix a typo in if condition.
     - Let Fedora/EPEL depend on x2goserver-extensions again. We're now adding
       our own repositories to the build config.
     - Make *SUSE ignore mate-menus-upstream. A choice is bad in this case,
       leading to a build failure.
     - The last change should have really been for mate-menus-branding, not
       mate-menus.
     - Add dependency upon gnome-icon-theme-symbolic for OpenSuSE Leap 42.1,
       OpenSuSE 13.2 and SLE{S,D} 12.
     - Switch to use -symbolic icons on OpenSUSE 13.2 and 42.1.
     - Prepare GTK library version switching and hardcode GTK 2 for now.
     - Re-add explicit GTK library build dependencies. Run-time dependencies
       should be handled automatically.
     - Switch to GTK 3 for Fedora 25 and up.
     - Don't automatically configure after running autogen.sh.
     - Fix FC conditionals, the macro is called "fedora", not "fedora_version".
       Also catch some non-*SuSE*/-Fedora "edge cases".
     - Break choice by ignoring x2goserver-x2goagent and (build-depending) on
       x2goagent for now.
     - Make *SUSE ignore mate-desktop-gschemas-branding-upstream. A choice is
       bad in this case, leading to a build failure.
   * debian/control:
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Whitespace only.
     - Add new build dependencies (should already be fulfilled by base system,
       but who knows...)
     - Replace explicit GTK library dependency with some generated substitution
       variable.
     - Add explicit dependency on bash (for arithmetic operations in
       debian/rules file.)
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
   * debian/rules:
     - Add per-distro and per-version substitution variable for GTK library
       version selection.
     - Use bash for arithmetic operations, not supported by sh.
     - Fix ifeq call by adding a space character between ifeq and the opening
       parenthesis.
     - If encountering the "unstable" distro version, set it to a fake 9999
       version.
     - Fix Ubuntu versioning override. It's uglier now, but there's no way
       around that.
     - Add explicit "printf-style" debugging, hoping it will actually show up.
     - Drop debugging output (which only leads to failing builds on all
       platforms) and consolidate default values.
     - Don't automatically configure after running autogen.sh.
     - Override "testing" string with a hardcoded version value as well.
     - Fix spelling of GTK package names: "libgtk2.0-bin" and libgtk-3-bin
       instead of "libgtk-2.0-bin" and "libgtk-3.0-bin". Fixes: #1067.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 20 Nov 2016 14:55:05 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Sun, 20 Nov 2016 14:55:05 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#822. (Sun, 20 Nov 2016 14:55:09 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 19 Dec 2016 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Oct 27 15:14:25 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.